Debian Bug report logs - #93006
kicker's Child Panel forgets it's settings

version graph

Package: kdebase; Maintainer for kdebase is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>;

Reported by: Simon Law <sfllaw@engmail.uwaterloo.ca>

Date: Thu, 5 Apr 2001 15:48:02 UTC

Severity: normal

Found in version 4:2.1.1-3

Fixed in version kdebase/4:2.1.1-6

Done: rkrusty@debian.org (Ivan E. Moore II)

Bug is archived. No further changes may be made.

Forwarded to 23857@bugs.kde.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rkrusty@debian.org (Ivan E. Moore II):
Bug#93006; Package kdebase. Full text and rfc822 format available.

Acknowledgement sent to Simon Law <sfllaw@engmail.uwaterloo.ca>:
New Bug report received and forwarded. Copy sent to rkrusty@debian.org (Ivan E. Moore II). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Law <sfllaw@engmail.uwaterloo.ca>
To: submit@bugs.debian.org
Subject: kicker's Child Panel forgets it's settings
Date: Thu, 5 Apr 2001 11:43:19 -0400 (EDT)
Package: kdebase
Version: 4:2.1.1-3

Description:

Child Panels do not seem to remember their settings between sessions.  To
reproduce: Add a Child Panel extension to your panel.  Add your favourite
widget to this Child Panel.  Log off and save your settings.  Log back in.
You will see an empty Child Panel.




Noted your statement that Bug has been forwarded to 23857@bugs.kde.org. Request was from "Ivan E. Moore II" <rkrusty@tdyc.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, rkrusty@debian.org (Ivan E. Moore II):
Bug#93006; Package kdebase. Full text and rfc822 format available.

Acknowledgement sent to Chris Boyle <chrisb@wincoll.ac.uk>:
Extra info received and forwarded to list. Copy sent to rkrusty@debian.org (Ivan E. Moore II). Full text and rfc822 format available.

Message #12 received at 93006@bugs.debian.org (full text, mbox):

From: Chris Boyle <chrisb@wincoll.ac.uk>
To: 93006@bugs.debian.org
Cc: debian-kde@lists.debian.org
Subject: Fixed it, here's a patch =) (Re: bug #93006 kicker's Child Panel forgets its settings)
Date: Fri, 13 Apr 2001 14:32:38 +0100
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Wednesday 11 April 2001  9:37 pm, Jens Benecke wrote:
> I filed a KDE bug about this long ago. (well, march 28 ;)
>
> http://bugs.kde.org/db/23/23234.html

This bug was annoying me as I have a child panel at the top of the screen 
with the taskbar in it in KDE 1 style (I don't like the way "external 
taskbar" adjusts the widths of the task buttons), and a news ticker in the 
space at the bottom...

This (small) patch to kicker/extensions/childpanel/childpanelextension.cpp 
seems to fix it. It appears that in the ChildPanelExtension constructor, 
someone forgot to call _containerArea->init(), thus not *loading* the 
settings (if you look at .kde/share/config/childpanelextension_..._rc, you 
can see it *saves* them fine). I noticed this discrepancy between that and 
the core Panel constructor and thought something was amiss. =)

- -- 
Chris Boyle - Winchester College - http://archives.wincoll.ac.uk/
For my PGP key visit: http://archives.wincoll.ac.uk/finger.php?q=chrisb
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE61v/6D834tscfhTwRAtPmAJ48Us+W4ETs7zci00pDtw+ku+yCpwCeLb2D
4bk72NeEjl6doPpqCmBUmQE=
=PUAH
-----END PGP SIGNATURE-----
[kicker-cpinit.patch (text/x-c++, attachment)]

Reply sent to rkrusty@debian.org (Ivan E. Moore II):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Simon Law <sfllaw@engmail.uwaterloo.ca>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 93006-close@bugs.debian.org (full text, mbox):

From: rkrusty@debian.org (Ivan E. Moore II)
To: 93006-close@bugs.debian.org
Subject: Bug#93006: fixed in kdebase 4:2.1.1-6
Date: Sat, 14 Apr 2001 15:00:53 -0400
We believe that the bug you reported is fixed in the latest version of
kdebase, which has been installed in the Debian FTP archive:

libkonq-dev_2.1.1-6_i386.deb
  to pool/main/k/kdebase/libkonq-dev_2.1.1-6_i386.deb
konqueror_2.1.1-6_i386.deb
  to pool/main/k/kdebase/konqueror_2.1.1-6_i386.deb
kdebase_2.1.1-6.dsc
  to pool/main/k/kdebase/kdebase_2.1.1-6.dsc
kdewallpapers_2.1.1-6_all.deb
  to pool/main/k/kdebase/kdewallpapers_2.1.1-6_all.deb
kdebase-dev_2.1.1-6_i386.deb
  to pool/main/k/kdebase/kdebase-dev_2.1.1-6_i386.deb
kdebase_2.1.1-6_i386.deb
  to pool/main/k/kdebase/kdebase_2.1.1-6_i386.deb
kdebase-doc_2.1.1-6_all.deb
  to pool/main/k/kdebase/kdebase-doc_2.1.1-6_all.deb
kdebase-libs_2.1.1-6_i386.deb
  to pool/main/k/kdebase/kdebase-libs_2.1.1-6_i386.deb
kdebase_2.1.1-6.diff.gz
  to pool/main/k/kdebase/kdebase_2.1.1-6.diff.gz
konsole_2.1.1-6_i386.deb
  to pool/main/k/kdebase/konsole_2.1.1-6_i386.deb
kdm_2.1.1-6_i386.deb
  to pool/main/k/kdebase/kdm_2.1.1-6_i386.deb
libkonq3_2.1.1-6_i386.deb
  to pool/main/k/kdebase/libkonq3_2.1.1-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 93006@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ivan E. Moore II <rkrusty@debian.org> (supplier of updated kdebase package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 14 Apr 2001 00:30:00 -0700
Source: kdebase
Binary: kdm kdebase-libs libkonq-dev libkonq3 kdebase konsole konqueror kdebase-dev kdebase-doc kdewallpapers
Architecture: source i386 all
Version: 4:2.1.1-6
Distribution: unstable
Urgency: low
Maintainer: Ivan E. Moore II <rkrusty@debian.org>
Changed-By: Ivan E. Moore II <rkrusty@debian.org>
Description: 
 kdebase    - KDE core applications
 kdebase-dev - KDE core applications (development files)
 kdebase-doc - Documentation for Applications in kdebase
 kdebase-libs - KDE libraries amd modules for kdebase
 kdewallpapers - Some wallpapers for KDE
 kdm        - The K Desktop Manager
 konqueror  - KDE's advanced File Manager, Web Browser and Document Viewer
 konsole    - X terminal emulation for KDE
 libkonq-dev - Core libraries for KDE's file manager (development headers)
 libkonq3   - Core libraries for KDE's file manager
Closes: 93006 93702
Changes: 
 kdebase (4:2.1.1-6) unstable; urgency=low
 .
   * More upstream fixes
   * Apply kicker patch by Chris Boyle (Closes: #93006)
   * Move khelpcenter menu entry into toplevel (Closes: #93702)
   * Fix some debconf bits
   * Remove custom startkde script from debian dir
Files: 
 1fc11dca2d40b44003f2444282cd515c 947 x11 optional kdebase_2.1.1-6.dsc
 d84b9f5b0cb182aab3cc2460bc54f7d8 16546 x11 optional kdebase_2.1.1-6.diff.gz
 416aa591f78471d2ea68cdd967282ea4 4539776 x11 optional kdebase_2.1.1-6_i386.deb
 f859272c9b248c713b7d6080ac07caa0 379044 x11 optional kdm_2.1.1-6_i386.deb
 63d37a5af4c03fa1eec5daf3126cf085 1190404 web optional konqueror_2.1.1-6_i386.deb
 1563becbfd00ccd7756e312fba34c81c 219200 libs optional libkonq3_2.1.1-6_i386.deb
 f78e5087a3f7e55adcd4aaecf0a383a8 38408 devel optional libkonq-dev_2.1.1-6_i386.deb
 f74a1a304bea97f417738e7293839215 348480 x11 optional konsole_2.1.1-6_i386.deb
 c9e9bb70751380a174eeab62b80cc2ab 3602144 libs optional kdebase-libs_2.1.1-6_i386.deb
 bbfa43cf9f69538bf2b259f3b32b1ad6 43002 devel optional kdebase-dev_2.1.1-6_i386.deb
 ae9f9f53891dc67cb1839d07bdcab68c 678262 x11 optional kdewallpapers_2.1.1-6_all.deb
 101731b5e59987adda8c97f9372af472 1202502 doc optional kdebase-doc_2.1.1-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE62EFZdkWBQZC84N0RAmQRAJ9x23v6ri7D2lnJSbARShofgySShQCbBiOX
Z1dUIcrIQgxRD+6vhMePT94=
=vfbG
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:37:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.